Need to find 1Password 3 Chrome extension... where is it?

I am running 1Password 3 on a Mac (Mac OS X 10.7.5) and i had to uninstall/reinstall Chrome just now. When I went to the Google Web store to re-install the 1Password Chrome extension, all I can find is the 1Password 4 or 5 extensions, which do not work with 1Password 3.

Please let me know where I can find this extension for version 3. (And please don't tell me that I should just upgrade to 1Password 5)


1Password Version: 3.8.22 (build 32010)
Extension Version: Not Provided
OS Version: OS X 10.7.5
Sync Type: Not Provided

Comments

  • I think you'll be able to find the link you're looking for in the release notes, here.

  • Hi @MC900FtMark,

    If you launch 1Password 3 you should find a drop down menu option, File > Install Browser Extensions.... That will open a web page at the correct location for the 1Password 3 browser extensions. That's the route I would suggest anyway.

    You're actually running the latest version of 1Password 3 that OS X Lion is able to run so suggesting 1Password 5 would be pretty silly of us :wink:

    Something to be aware of though is that OS X Lion hasn't been supported with security updates for a while now I believe. I could be wrong but I think that's the case. I don't know what the newest version of OS X your Mac is even capable of running but it's just something to consider. We've had a few nasty flaws of late and the last couple were only patched in newer versions of OS X. Saying that we've even seen people still rocking OS X Leopard as they're still running PowerPC chips.

  • Oops! I should have thought of that. :p

  • If you think that's bad @hawkmoth, I launched 1Password 3 to make sure I had the correct title of the menu option.

    Later I realise the same menu option is still available in 1Password 5 and I've always blanked it out despite all the times I've looked at the menu. That's what happens when you're so used to having 1Password mini making sure you are acutely aware that you're using a browser where the extension isn't installed :tongue:

This discussion has been closed.